#853 closed defect (fixed)

the ata driver should be updated to use the "handle" of the new exception scheme

Reported by: thomas.doerfler Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: bsps Version: 4.6
Severity: normal Keywords:
Cc: bugs@…, thomas.doerfler@… Blocked By:
Blocking:

Description

The ata driver should be modified to support the new exception scheme and to use the "handle" parameter

Release:
4.6.99.2

Environment:
all architectures using the new exception scheme and using ata interfaces

Attachments (1)

rtems-4.6.99.2_ata.diff (9.3 KB) - added by thomas.doerfler on Dec 3, 2006 at 1:31:12 PM.
rtems-4.6.99.2_ata.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Dec 29, 2005 at 8:08:15 PM by thomas.doerfler

Status: assignedwaiting

comment:2 Changed on Mar 7, 2006 at 9:05:53 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Committed. Thomas... you have write permission. :-)

Changed on Dec 3, 2006 at 1:31:12 PM by thomas.doerfler

Attachment: rtems-4.6.99.2_ata.diff added

rtems-4.6.99.2_ata.diff

Note: See TracTickets for help on using tickets.